|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.opencms.workplace.CmsWorkplace
org.opencms.workplace.tools.CmsToolDialog
org.opencms.workplace.CmsDialog
org.opencms.workplace.CmsReport
org.opencms.workplace.commons.CmsPublishProject
public class CmsPublishProject
Creates the dialogs for publishing a project or a resource.
The following files use this class:
| Field Summary | |
|---|---|
static int |
ACTION_UNLOCK_CONFIRMATION
Value for the action: show unlock confirmation. |
static int |
ACTION_UNLOCK_CONFIRMED
Value for the action: unlock confirmed. |
static String |
DIALOG_TYPE
The dialog type. |
static String |
DIALOG_UNLOCK_CONFIRMATION
Request parameter value for the action: show unlock confirmation. |
static String |
DIALOG_UNLOCK_CONFIRMED
Request parameter value for the action: unlock confirmed. |
| Fields inherited from class org.opencms.workplace.CmsReport |
|---|
PARAM_REPORT_CONTINUEKEY, PARAM_REPORT_TYPE, REPORT_UPDATE_SIZE, REPORT_UPDATE_TIME |
| Fields inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
PARAM_PATH, PARAM_ROOT, PARAM_STYLE, STYLE_NEW |
| Constructor Summary | |
|---|---|
CmsPublishProject(CmsJspActionElement jsp)
Public constructor. |
|
CmsPublishProject(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
Public constructor with JSP variables. |
|
| Method Summary | |
|---|---|
void |
actionReport()
Performs the publish report, will be called by the JSP page. |
String |
buildCheckSiblings()
Builds the HTML for the "publish siblings" checkbox when direct publishing a file. |
String |
getParamDirectpublish()
Returns if a resource will be directly published. |
String |
getParamModifieddate()
Returns the last modification date of the resource which will be published. |
String |
getParamModifieduser()
Returns the user who modified the resource which will be published. |
String |
getParamProjectid()
Returns the value of the project id which will be published. |
String |
getParamProjectname()
Returns the value of the project name which will be published. |
String |
getParamPublishsiblings()
Returns if siblings of the resource should be published. |
String |
getParamResourcename()
Returns the name of the resource which will be published. |
protected void |
initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
Analyzes the request for workplace parameters and adjusts the workplace settings accordingly. |
void |
setParamDirectpublish(String value)
Sets if a resource will be directly published. |
void |
setParamModifieddate(String value)
Sets the last modification date of the resource which will be published. |
void |
setParamModifieduser(String value)
Sets the user who modified the resource which will be published. |
void |
setParamProjectid(String value)
Sets the value of the project id which will be published. |
void |
setParamProjectname(String value)
Sets the value of the project name which will be published. |
void |
setParamPublishsiblings(String value)
Sets if siblings of the resource should be published. |
void |
setParamResourcename(String value)
Sets the name of the resource which will be published. |
| Methods inherited from class org.opencms.workplace.CmsReport |
|---|
dialogButtonsContinue, dialogButtonsOkCancelDetails, getParamRefreshWorkplace, getParamReportContinueKey, getParamReportType, getParamThread, getParamThreadHasNext, getReportUpdate, hasError, htmlStart, htmlStart, initCmsReport, isAlive, isSimpleReport, pageHtml, setParamRefreshWorkplace, setParamReportContinueKey, setParamReportType, setParamThread, setParamThreadHasNext |
| Methods inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
dialogTitle, getAdminTool, getCurrentToolPath, getParamPath, getParamRoot, getParamStyle, getParentPath, getToolManager, iconsBlockArea, iconsBlockAreaEnd, iconsBlockAreaStart, initAdminTool, pageBody, pageHtmlStyle, setParamPath, setParamRoot, setParamStyle, useNewStyle |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final int ACTION_UNLOCK_CONFIRMATION
public static final int ACTION_UNLOCK_CONFIRMED
public static final String DIALOG_TYPE
public static final String DIALOG_UNLOCK_CONFIRMATION
public static final String DIALOG_UNLOCK_CONFIRMED
| Constructor Detail |
|---|
public CmsPublishProject(CmsJspActionElement jsp)
jsp - an initialized JSP action element
public CmsPublishProject(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
context - the JSP page contextreq - the JSP requestres - the JSP response| Method Detail |
|---|
public void actionReport()
throws JspException
JspException - if problems including sub-elements occurpublic String buildCheckSiblings()
public String getParamDirectpublish()
public String getParamModifieddate()
public String getParamModifieduser()
public String getParamProjectid()
public String getParamProjectname()
public String getParamPublishsiblings()
public String getParamResourcename()
public void setParamDirectpublish(String value)
value - "true" (String) if a resource will be directly publishedpublic void setParamModifieddate(String value)
value - the last modification date of the resourcepublic void setParamModifieduser(String value)
value - the user who modified the resourcepublic void setParamProjectid(String value)
value - the String value of the project idpublic void setParamProjectname(String value)
value - the String value of the project namepublic void setParamPublishsiblings(String value)
value - "true" (String) if siblings of the resource should be publishedpublic void setParamResourcename(String value)
value - the name of the resource
protected void initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
CmsWorkplace
initWorkplaceRequestValues in class CmsReportsettings - the workplace settingsrequest - the current requestCmsWorkplace.initWorkplaceRequestValues(org.opencms.workplace.CmsWorkplaceSettings, javax.servlet.http.HttpServletRequest)
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||